import jagdx.IDirect3DDevice;
import jagdx.IDirect3DVolumeTexture;
import java.nio.ByteBuffer;

public class Class329_Sub1 extends Class329 implements Interface3 {

   int anInt8077;
   int anInt8078;
   int anInt8079;


   Class329_Sub1(Class545_Sub2_Sub1 var1, Class98 var2, int var3, int var4, int var5, boolean var6, byte[] var7) {
      super(var1, var2, Class91.aClass91_897, false, var3 * var4 * var5);
      this.anInt8077 = var3;
      this.anInt8078 = var4;
      this.anInt8079 = var5;
      this.aLong4078 = IDirect3DDevice.CreateVolumeTexture(this.aClass545_Sub2_Sub1_4080.aLong10294, var3, var4, var5, 1, 0, Class545_Sub2_Sub1.method15855(var2, this.aClass91_4082), 1);
      ByteBuffer var8 = this.aClass545_Sub2_Sub1_4080.aByteBuffer9763;
      var8.clear();
      var8.put(var7);
      IDirect3DVolumeTexture.Upload(this.aLong4078, 0, 0, 0, 0, this.anInt8077, this.anInt8078, this.anInt8079, this.anInt8077 * var2.anInt996 * 1946169797, 0, this.aClass545_Sub2_Sub1_4080.aLong9730);
   }

   long method6066() {
      return this.aLong4078;
   }

   long method6070() {
      return this.aLong4078;
   }

   public void method9() {
      super.method10();
   }

   public void method10() {
      super.method10();
   }

   public void method8() {
      super.method10();
   }

   public void method228() {
      this.aClass545_Sub2_Sub1_4080.method15864(this);
   }

   public void method226() {
      this.aClass545_Sub2_Sub1_4080.method15864(this);
   }

   public void method227() {
      this.aClass545_Sub2_Sub1_4080.method15864(this);
   }

   public void method225(Class353 var1) {
      super.method224(var1);
   }

   public void method224(Class353 var1) {
      super.method224(var1);
   }

   long method6071() {
      return this.aLong4078;
   }

   long method6068() {
      return this.aLong4078;
   }
}
